Bug 966171

Summary: CVE-2013-2073 transifex-client: Does not validate HTTPS server certificate [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: transifex-clientAssignee: Domingo Becker <domingobecker>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 18CC: bazanluis20, diegobz, dimitris, domingobecker, stickster
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: transifex-client-0.9-1.el5 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-01 21:55:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 952194    

Description Vincent Danen 2013-05-22 13:12:39 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-05-22 13:12:48 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=952194,966171
Comment 2 Fedora Update System 2013-05-28 08:59:03 EDT
transifex-client-0.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5928/transifex-client-0.9-1.el6
Comment 3 Fedora Update System 2013-05-28 09:01:24 EDT
transifex-0.9.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5875/transifex-0.9.1-2.el5
Comment 4 Fedora Update System 2013-05-28 09:03:26 EDT
transifex-client-0.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2013-9116/transifex-client-0.9-1.fc17
Comment 5 Fedora Update System 2013-05-28 09:04:46 EDT
transifex-client-0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-9119/transifex-client-0.9-1.fc18
Comment 6 Fedora Update System 2013-05-28 09:06:06 EDT
transifex-client-0.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5968/transifex-client-0.9-1.el5
Comment 7 Fedora Update System 2013-05-28 09:07:01 EDT
transifex-client-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-9228/transifex-client-0.9-1.fc19
Comment 8 Luis Bazan 2013-05-28 09:10:20 EDT
This Update solve this problem.

Best Regards
Comment 9 Fedora Update System 2013-06-01 21:55:24 EDT
transifex-client-0.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-01 21:57:44 EDT
transifex-client-0.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-06-02 23:45:46 EDT
transifex-client-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-06-08 14:37:25 EDT
transifex-client-0.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-06-10 13:04:10 EDT
transifex-client-0.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.